<?php
/**
 * $JA#COPYRIGHT$
 */

defined('_JEXEC') or die;

if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
if (file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php'))
	require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php');

// Initiate class to hold plugin events
class plgJamegafilterHikashop extends JPlugin {

	// Some params
	public $pluginName = 'jamegafilter_hikashop';
	public $pluginNameHumanReadable = 'JA Megafilter Hikashop Plugin';
	public $menu_list = array();

	function __construct( & $subject, $params) {
		parent::__construct($subject, $params);
	}

	function onAfterSaveHikashopItems($item) {
		require_once (__DIR__.'/helper.php');
		$helper = new HikashopFilterHelper();
		$params = $item->params;
		$objectList = $helper->getFilterItems($params['hikacat']);
		return $objectList;
	}
	
	function onBeforeDisplayHikashopItems( $jstemplate, $filter_config, $item )
	{
		$this->jstemplate = $jstemplate;
		$this->config = $filter_config;
		$this->item = $item;
		$path = JPluginHelper::getLayoutPath('jamegafilter', 'hikashop');
		
		ob_start();
		include $path;
		$output = ob_get_contents();
		ob_end_clean();
		echo $output;
	}
	
	
}