<?php
/**
 * $JA#COPYRIGHT$
 */
defined('_JEXEC') or die;
?>
{#data}
<div class="item product product-item col">
	<div data-container="product-grid" class="product-item-info">

		<div class="product-item-details">
			<a tabindex="-1" class="product-item-photo" href="{url}">
				<span class="product-image-container">
					{?thumbnail}
					<img alt="{name|s}" src="<?php echo JUri::base(true).'/'; ?>{thumbnail}" class="product-image-photo">                    </span>
					{/thumbnail}
				</span>
			</a> 

			<div class="product-reviews-summary short">
				<div class="rating-summary">
					{?rating}
					<div title="{rating} out of 5" class="rating-result">
						<span style="width:{width_rating}%"></span>
					</div>
					{:else}
					<div title="0%" class="rating-result">
						<span style="width:0%"></span>
					</div>
					{/rating}
				</div>
			</div>

			<h4 class="product-item-name">
				<a href="{url}" class="product-item-link">
					{name|s}
				</a>
			</h4>

			<div data-product-id="{id}" data-role="priceBox" class="price-box price-final_price">
				<span class="price-container price-final_price tax weee">
					<span class="price-wrapper " data-price-type="finalPrice" data-price-amount="{price}" id="product-price-{id}">
						<span class="price">{frontend_price|s}</span>
					</span>
				</span>
			</div>
		</div>

		<div class="product-item-actions">
			{?is_salable}
			<div class="addtocart-area">
				<form method="post" class="product js-recalculate" action="<?php echo JUri::root(true).'/' ?>index.php?option=com_hikashop&amp;ctrl=product&amp;task=updatecart{menuid}">
					<div class="addtocart-bar">
						<span class="addtocart-button">
							<input name="add" class="btn btn-default" value="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" title="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" type="submit">  
						</span>             
					</div> 
					<input type="hidden" value="1" name="quantity">
					<input type="hidden" name="product_id" value="{id}">
				</form>
			</div>
			{:else}
			<div class="stock unavailable"><span><?php echo JText::_('COM_JAMEGAFILTER_OUT_STOCK'); ?></span></div>
			<a class="btn btn-default" href="{url}"><?php echo JText::_('COM_JAMEGAFILTER_VIEW_DETAIL'); ?></a>
			{/is_salable}
		</div>
	</div>
</div>
{/data}